package Logging;

use strict;
use POSIX;

sub date {
  return POSIX::strftime("%T", gmtime(time()));
}

sub error {
  print STDERR date(), " ERROR ", @_, "\n";
}

sub warning {
  print STDERR date(), " WARN  ", @_, "\n";
}

sub info {
  print STDERR date(), " INFO  ", @_, "\n";
}

sub debug {
  print STDERR date(), " DEBUG ", @_, "\n";
}

sub trace {
#  print STDERR date(), " TRACE ", @_, "\n";
}

1;
